----------------------------------------------------------------------------
--
--   File:    eintraege.adb
--   Purpose: Eintrags ADT (Body)
--   Author:  Christian Fuss (cfuss@cs.rwth-aachen.de)
--   Comment: Loesung zu Aufgabe 7-1, keine Gewaehr fuer Fehlerfreiheit
--
----------------------------------------------------------------------------

package body Eintraege is

----------------------------------------------------------------------------
    function getSchluessel(e : Eintrag_T) return integer is
    begin
        return e.schluessel;
    end getSchluessel;

----------------------------------------------------------------------------
    procedure setzeSchluessel(e : in out Eintrag_T, s : in integer) is
    begin
        e.schluessel := s;
    end setzeSchluessel;

----------------------------------------------------------------------------
    function getWert(e : Eintrag_T) return string is
    begin
        return e.wert;
    end getWert;

----------------------------------------------------------------------------
    function Eintrag(s : integer; w : string) return Eintrag_T is
    	e : Eintrag_T;
    begin
        e.schluessel := s;
        if w'Length > e.wert'Length then
            e.wert := w(w'First..w'First+e.wert'Length-1);
        else
            e.wert(1..w'Length) := w;
        end if;
        return e;
    end Eintrag;

end Eintraege;











